# pkgdash

# pkgdashcli

## Installation

Use any of the following for a pain-free installation:

* If you have [`go`](https://go.dev/doc/install) installed, you can run:
   ```shell
   go install git.unistack.org/unistack-org/pkgdash/cmd/pkgdashcli@latest
   ```
  
## Config

  Before starting, you should fill out the configuration file.
The file must be located in the .gitea, .gitlab, .github directory
according to the git type you are using.

- branches - array of main branches
- source - information about the version control system
- source.type - type of version control system
- source.apiurl - path to the version control system api
- source.repository - repository name
- source.owner - username of the repository owner
- update_opt - dependency update options
- update_opt.pre - update to pre-release versions
- update_opt.major - compare only major versions in modules
- update_opt.up_major - raise the version according to major
- update_opt.cached - caching

### Config.Example

```yaml
# .gitea/pkgdashcli.yaml
branches: [master]
source:
  type: gitea
  apiurl: git.unistack.org
  repository: pkgdash
  owner: unistack
update_opt:
  pre: false
  major: false
  up_major: false
  cached: true
```